package com.yuchen.saas.parking.api.feign;

import com.yuchen.saas.parking.api.entity.PmgLogParkingCar;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author 刘通
 * @date 2020/12/14 10:57
 */
@Component
public class PmgLogParkingCarClientFallback implements PmgLogParkingCarClient {


    @Override
    public R<List<PmgLogParkingCar>> listByEventIndex(@RequestBody PmgLogParkingCar pmgLogParkingCar) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgLogParkingCar>> getRoadwayLatest(String parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<PmgLogParkingCar> getById(String id) {
        return R.fail("远程调用失败");
    }

    @Override
    public void updateBillId(Long LogParkingCarId, Long billId) {}

    @Override
    public R<PmgLogParkingCar> carLog(String roadwayId) {
        return R.fail("远程调用失败");
    }
}
